<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="General"/>
<!--
	=====================
		Templates/News/List.html
-->

<f:section name="content">
    <!--TYPO3SEARCH_end-->

    <f:spaceless>
        <f:if condition="{news}">
            <f:then>
                <div class="teaser__wrapper news__container{f:if(condition: '{settings.templateLayout} == 2', then:' news__container--grey bg bg--grey')}">
                    <div class="news-list-view teaser__list" id="news-container-list-{contentObjectData.uid}">
                        <f:if condition="{settings.hidePagination}">
                            <f:then>
                                <f:for each="{news}" as="newsItem" iteration="iterator">
                                    <f:render partial="List/NewsItemPublication" section="item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                                    <f:if condition="!{iterator.isLast}">
                                        <hr>
                                    </f:if>
                                </f:for>
                            </f:then>
                            <f:else>
                                <f:for each="{pagination.paginator.paginatedItems}" as="newsItem" iteration="iterator">
                                    <f:render partial="List/NewsItemPublication" section="item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                                    <f:if condition="!{iterator.isLast}">
                                        <hr>
                                    </f:if>
                                </f:for>
                                <f:if condition="{settings.list.paginate.insertBelow}">
                                    <f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
                                </f:if>
                            </f:else>
                        </f:if>
                    </div>
                </div>
            </f:then>
            <f:else>
                <div class="no-news-found">
                    <f:translate key="list_nonewsfound" />
                </div>
            </f:else>
        </f:if>
    </f:spaceless>
    <!--TYPO3SEARCH_begin-->
</f:section>
</html>
